List evals
curl --request GET \
--url https://service.abundly.ai/workspaceapi/agents/{agentId}/evals \
--header 'Authorization: Bearer <token>'import requests
url = "https://service.abundly.ai/workspaceapi/agents/{agentId}/evals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://service.abundly.ai/workspaceapi/agents/{agentId}/evals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"evals": [
{
"id": "<string>",
"name": "<string>",
"triggerPrompt": "<string>",
"graderPrompt": "<string>",
"gradingType": "<string>",
"graderScope": "<string>",
"executionMode": "<string>",
"sandboxAgent": true,
"runPlanAndSecurity": true,
"agentContext": "<string>",
"toolOverrides": [
{}
],
"validationRules": [
{}
],
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"evalSettings": {
"evalModels": [
{
"modelId": "<string>",
"effort": "<string>"
}
],
"graderModel": "<string>",
"graderEffort": "<string>"
},
"recentResults": [
{
"id": "<string>",
"evalId": "<string>",
"evalName": "<string>",
"timestamp": "<string>",
"runId": "<string>",
"runTimestamp": "<string>",
"evalModel": "<string>",
"graderModel": "<string>",
"gradingType": "<string>",
"result": "pass",
"actualToolCalls": [
"<string>"
],
"executionDurationMs": 123,
"transcript": [
{}
],
"runName": "<string>",
"graderReasoning": "<string>",
"toolCallAssertionPassed": true,
"errorMessage": "<string>",
"creditsUsedTest": 123,
"creditsUsedGrader": 123
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}API Reference
List evals
Eval definitions and settings for the agent, optionally with the most recent results.
GET
/
workspaceapi
/
agents
/
{agentId}
/
evals
List evals
Authorizations
Workspace API key (wk_). GET endpoints require the Workspace read API scope, POST endpoints the Workspace write API scope.
Path Parameters
The agent id.
Query Parameters
If true, also include the most recent eval results (limit 100). Defaults to false.
Response
Success. Empty result sets are also 200.
Eval definitions and the models they run with.

